using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Microsoft.Win32;
using PhoenixUserManager.Class;

namespace PhoenixUserManager.GUI
{
    /// <summary>
    /// Frame to search the logs of a user
    /// </summary>
    public partial class fr_SearchLog : Form
    {
        #region Variables
        /// <summary>
        /// The user manager
        /// </summary>
        private UserManager vUserManager = null;
        #endregion
        #region Constructors
        /// <summary>
        /// Constructor
        /// </summary>
        public fr_SearchLog()
        {
            InitializeComponent();
        }
        #endregion

        #region Events
        /// <summary>
        /// Frame load
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void Event_FrameLoad(object sender, EventArgs e)
        {
            try
            {
                if (this.vUserManager == null) return;
                DataSet ds = vUserManager.GetLogs();
                             
                if (ds != null)
                    dgv.DataSource = ds.Tables[0];

                this.Text += vUserManager.Name + " " + vUserManager.Surname;

                #region Sets the DataGridView
                dgv.Columns["ID"].Visible = false;
                dgv.Columns["Date"].DisplayIndex = 0;
                dgv.Columns["Type"].DisplayIndex = 1;
                dgv.Columns["Type"].Visible = false;
                dgv.Columns["Title"].DisplayIndex = 2;
                dgv.Columns["Title"].HeaderText = "Titre";
                dgv.Columns["Message"].DisplayIndex = 3;
                dgv.Columns["IDUser"].Visible = false;
                dgv.Columns["IsRead"].DisplayIndex = 4;
                dgv.Columns["IsRead"].HeaderText = "Lu";
                dgv.Columns["IsRead"].Visible = false;
                #endregion
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message, "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
                this.Close();
            }
        }
        #endregion

        #region Properties
        /// <summary>
        /// Gets or sets the user manager
        /// </summary>
        public UserManager UserManager
        {
            get { return vUserManager; }
            set { vUserManager = value; }
        }
        #endregion
    }
}